uk.gov.hmrc.ct.box.formats

# OptionalBigDecimalFormat

###
Related Doc: package formats

#### class OptionalBigDecimalFormat[T <: CtOptionalBigDecimal] extends Format[T]

Linear Supertypes
Format[T], Reads[T], Writes[T], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. OptionalBigDecimalFormat
2. Format
3. Reads
4. Writes
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new OptionalBigDecimalFormat(builder: (Option[BigDecimal]) ⇒ T)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### def andThen[B](rb: Reads[B])(implicit witness: <:<[T, JsValue]): Reads[B]

   Definition Classes
     Reads

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

7. #### def collect[B](error: JsonValidationError)(f: PartialFunction[T, B]): Reads[B]

   Definition Classes
     Reads

8. #### def compose[B <: JsValue](rb: Reads[B]): Reads[T]

   Definition Classes
     Reads

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def filter(error: JsonValidationError)(f: (T) ⇒ Boolean): Reads[T]

    Definition Classes
      Reads

12. #### def filter(f: (T) ⇒ Boolean): Reads[T]

    Definition Classes
      Reads

13. #### def filterNot(error: JsonValidationError)(f: (T) ⇒ Boolean): Reads[T]

    Definition Classes
      Reads

14. #### def filterNot(f: (T) ⇒ Boolean): Reads[T]

    Definition Classes
      Reads

15. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

16. #### def flatMap[B](f: (T) ⇒ Reads[B]): Reads[B]

    Definition Classes
      Reads

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def map[B](f: (T) ⇒ B): Reads[B]

    Definition Classes
      Reads

21. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### final def notify(): Unit

    Definition Classes
      AnyRef

23. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

24. #### def orElse(v: Reads[T]): Reads[T]

    Definition Classes
      Reads

25. #### def reads(json: JsValue): JsResult[T]

    Definition Classes
      OptionalBigDecimalFormat → Reads

26. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

27. #### def toString(): String

    Definition Classes
      AnyRef → Any

28. #### def transform(transformer: Writes[JsValue]): Writes[T]

    Definition Classes
      Writes

29. #### def transform(transformer: (JsValue) ⇒ JsValue): Writes[T]

    Definition Classes
      Writes

30. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

31. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

32. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

33. #### def writes(out: T): JsValue

    Definition Classes
      OptionalBigDecimalFormat → Writes

### Inherited from Format[T]

### Inherited from Reads[T]

### Inherited from Writes[T]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped